Bug 1170178 - avro runtime shouldn't depend on maven build sytem
Summary: avro runtime shouldn't depend on maven build sytem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: avro
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ricardo Arguello
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1119277
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2014-12-03 13:16 UTC by Peter Robinson
Modified: 2015-10-04 19:16 UTC (History)
2 users (show)

Fixed In Version: avro-1.7.5-12.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-04 19:16:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2014-12-03 13:16:45 UTC
Avro runtime pulls in maven and all the associated build deps unnessarily:

# yum install avro
Loaded plugins: auto-update-debuginfo, langpacks
Resolving Dependencies
--> Running transaction check
---> Package avro.noarch 0:1.7.5-9.fc21 will be installed
--> Processing Dependency: snappy-java for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: paranamer for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(org.xerial.snappy:snappy-java) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(org.codehaus.jackson:jackson-mapper-asl) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(org.codehaus.jackson:jackson-core-asl) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(org.apache.velocity:velocity) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven:maven-project) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven:maven-plugin-api) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven:maven-artifact) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven.shared:file-management) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(org.apache.commons:commons-compress) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(commons-lang:commons-lang) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: mvn(com.thoughtworks.paranamer:paranamer) for package: avro-1.7.5-9.fc21.noarch
--> Processing Dependency: jackson for package: avro-1.7.5-9.fc21.noarch
--> Running transaction check
---> Package apache-commons-compress.noarch 0:1.8.1-2.fc21 will be installed
--> Processing Dependency: mvn(org.tukaani:xz) for package: apache-commons-compress-1.8.1-2.fc21.noarch
---> Package apache-commons-lang.noarch 0:2.6-16.fc21 will be installed
---> Package jackson.noarch 0:1.9.11-4.fc21 will be installed
--> Processing Dependency: stax2-api >= 3.1.1 for package: jackson-1.9.11-4.fc21.noarch
--> Processing Dependency: objectweb-asm3 >= 3.3 for package: jackson-1.9.11-4.fc21.noarch
--> Processing Dependency: jsr-311 >= 1.1.1 for package: jackson-1.9.11-4.fc21.noarch
--> Processing Dependency: joda-time >= 1.6.2 for package: jackson-1.9.11-4.fc21.noarch
---> Package maven.noarch 0:3.2.2-1.fc21 will be installed
--> Processing Dependency: sisu-plexus for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: sisu-inject for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: plexus-utils for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: plexus-sec-dispatcher for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: plexus-interpolation for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: plexus-containers-component-annotations for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: plexus-classworlds for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: plexus-cipher for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.sonatype.sisu:sisu-guice::no_aop:) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.sonatype.plexus:plexus-sec-dispatcher) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.sonatype.plexus:plexus-cipher) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.eclipse.sisu:org.eclipse.sisu.plexus) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.eclipse.aether:aether-util) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.eclipse.aether:aether-transport-wagon) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.eclipse.aether:aether-spi) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.eclipse.aether:aether-impl) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.eclipse.aether:aether-connector-basic) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.eclipse.aether:aether-api) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.codehaus.plexus:plexus-utils) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.codehaus.plexus:plexus-interpolation) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.codehaus.plexus:plexus-component-annotations) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.codehaus.plexus:plexus-classworlds) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven.wagon:wagon-provider-api) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven.wagon:wagon-http::shaded:) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven.wagon:wagon-file) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: mvn(javax.inject:javax.inject) for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: maven-wagon-provider-api for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: maven-wagon-http-shared for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: maven-wagon-http for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: maven-wagon-file for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: jsr-305 for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: httpcomponents-core for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: httpcomponents-client for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: guava for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: google-guice for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: geronimo-annotation for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: cdi-api for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: atinject for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: apache-commons-codec for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: aopalliance for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: aether-util for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: aether-transport-wagon for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: aether-spi for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: aether-impl for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: aether-connector-basic for package: maven-3.2.2-1.fc21.noarch
--> Processing Dependency: aether-api for package: maven-3.2.2-1.fc21.noarch
---> Package maven-file-management.noarch 1:1.2.1-10.fc21 will be installed
--> Processing Dependency: mvn(org.codehaus.plexus:plexus-container-default) for package: 1:maven-file-management-1.2.1-10.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven.shared:maven-shared-io) for package: 1:maven-file-management-1.2.1-10.fc21.noarch
---> Package maven-project.noarch 0:2.2.1-49.fc21 will be installed
--> Processing Dependency: mvn(org.apache.maven:maven-settings:2.2.1) = 2.2.1 for package: maven-project-2.2.1-49.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven:maven-profile) = 2.2.1 for package: maven-project-2.2.1-49.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven:maven-plugin-registry) = 2.2.1 for package: maven-project-2.2.1-49.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven:maven-model:2.2.1) = 2.2.1 for package: maven-project-2.2.1-49.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven:maven-artifact:2.2.1) = 2.2.1 for package: maven-project-2.2.1-49.fc21.noarch
--> Processing Dependency: mvn(org.apache.maven:maven-artifact-manager) = 2.2.1 for package: maven-project-2.2.1-49.fc21.noarch
---> Package paranamer.noarch 0:2.4.1-9.fc21 will be installed
--> Processing Dependency: mvn(org.apache.ant:ant) for package: paranamer-2.4.1-9.fc21.noarch
--> Processing Dependency: mvn(com.thoughtworks.qdox:qdox) for package: paranamer-2.4.1-9.fc21.noarch
---> Package snappy-java.noarch 0:1.0.5-2.fc21 will be installed
---> Package velocity.noarch 0:1.7-16.fc21 will be installed
--> Processing Dependency: mvn(oro:oro) for package: velocity-1.7-16.fc21.noarch
--> Processing Dependency: mvn(commons-collections:commons-collections) for package: velocity-1.7-16.fc21.noarch
--> Running transaction check
---> Package aether-api.noarch 1:1.0.0-3.fc21 will be installed
---> Package aether-connector-basic.noarch 1:1.0.0-3.fc21 will be installed
---> Package aether-impl.noarch 1:1.0.0-3.fc21 will be installed
---> Package aether-spi.noarch 1:1.0.0-3.fc21 will be installed
---> Package aether-transport-wagon.noarch 1:1.0.0-3.fc21 will be installed
---> Package aether-util.noarch 1:1.0.0-3.fc21 will be installed
---> Package ant.noarch 0:1.9.4-3.fc21 will be installed
---> Package aopalliance.noarch 0:1.0-9.fc21 will be installed
---> Package apache-commons-codec.noarch 0:1.9-4.fc21 will be installed
---> Package apache-commons-collections.noarch 0:3.2.1-20.fc21 will be installed
---> Package atinject.noarch 0:1-17.20100611svn86.fc21 will be installed
---> Package cdi-api.noarch 0:1.1-7.fc21 will be installed
--> Processing Dependency: mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec) for package: cdi-api-1.1-7.fc21.noarch
--> Processing Dependency: mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.1_spec) for package: cdi-api-1.1-7.fc21.noarch
--> Processing Dependency: mvn(javax.el:el-api) for package: cdi-api-1.1-7.fc21.noarch
---> Package geronimo-annotation.noarch 0:1.0-16.fc21 will be installed
---> Package google-guice.noarch 0:3.2.2-1.fc21 will be installed
---> Package guava.noarch 0:17.0-1.fc21 will be installed
---> Package httpcomponents-client.noarch 0:4.3.5-1.fc21 will be installed
---> Package httpcomponents-core.noarch 0:4.3.2-3.fc21 will be installed
---> Package jakarta-oro.noarch 0:2.0.8-16.fc21 will be installed
---> Package joda-time.noarch 0:2.3-2.tzdata2013g.fc21 will be installed
--> Processing Dependency: mvn(org.joda:joda-convert) for package: joda-time-2.3-2.tzdata2013g.fc21.noarch
---> Package jsr-305.noarch 0:0-0.17.20130910svn.fc21 will be installed
---> Package jsr-311.noarch 0:1.1.1-9.fc21 will be installed
---> Package maven-artifact.noarch 0:2.2.1-49.fc21 will be installed
---> Package maven-artifact-manager.noarch 0:2.2.1-49.fc21 will be installed
---> Package maven-model.noarch 0:2.2.1-49.fc21 will be installed
---> Package maven-plugin-registry.noarch 0:2.2.1-49.fc21 will be installed
---> Package maven-profile.noarch 0:2.2.1-49.fc21 will be installed
---> Package maven-settings.noarch 0:2.2.1-49.fc21 will be installed
---> Package maven-shared-io.noarch 1:1.1-10.fc21 will be installed
---> Package maven-wagon-file.noarch 0:2.6-10.fc21 will be installed
---> Package maven-wagon-http.noarch 0:2.6-10.fc21 will be installed
---> Package maven-wagon-http-shared.noarch 0:2.6-10.fc21 will be installed
--> Processing Dependency: mvn(org.jsoup:jsoup) for package: maven-wagon-http-shared-2.6-10.fc21.noarch
--> Processing Dependency: mvn(commons-io:commons-io) for package: maven-wagon-http-shared-2.6-10.fc21.noarch
---> Package maven-wagon-provider-api.noarch 0:2.6-10.fc21 will be installed
---> Package objectweb-asm3.noarch 0:3.3.1-10.fc21 will be installed
---> Package plexus-cipher.noarch 0:1.7-7.fc21 will be installed
---> Package plexus-classworlds.noarch 0:2.5.1-5.fc21 will be installed
---> Package plexus-containers-component-annotations.noarch 0:1.5.5-20.fc21 will be installed
---> Package plexus-containers-container-default.noarch 0:1.5.5-20.fc21 will be installed
--> Processing Dependency: mvn(junit:junit) for package: plexus-containers-container-default-1.5.5-20.fc21.noarch
---> Package plexus-interpolation.noarch 0:1.15-9.fc21 will be installed
---> Package plexus-sec-dispatcher.noarch 0:1.4-16.fc21 will be installed
---> Package plexus-utils.noarch 0:3.0.16-3.fc21 will be installed
---> Package qdox.noarch 0:1.12.1-10.fc21 will be installed
---> Package sisu-inject.noarch 1:0.2.1-6.fc21 will be installed
---> Package sisu-plexus.noarch 1:0.2.1-6.fc21 will be installed
---> Package stax2-api.noarch 0:3.1.1-9.fc21 will be installed
--> Processing Dependency: mvn(stax:stax-api) for package: stax2-api-3.1.1-9.fc21.noarch
---> Package xz-java.noarch 0:1.5-3.fc21 will be installed
--> Running transaction check
---> Package apache-commons-io.noarch 1:2.4-12.fc21 will be installed
---> Package bea-stax-api.noarch 0:1.2.0-10.fc21 will be installed
---> Package glassfish-el-api.noarch 0:3.0.0-4.fc21 will be installed
---> Package jboss-ejb-3.1-api.noarch 0:1.0.2-11.fc21 will be installed
---> Package jboss-interceptors-1.1-api.noarch 0:1.0.2-0.10.20120319git49a904.fc21 will be installed
---> Package joda-convert.noarch 0:1.6-2.fc21 will be installed
---> Package jsoup.noarch 0:1.7.2-4.fc21 will be installed
---> Package junit.noarch 1:4.11-14.fc21 will be installed
--> Processing Dependency: osgi(org.hamcrest.core) for package: 1:junit-4.11-14.fc21.noarch
--> Processing Dependency: hamcrest for package: 1:junit-4.11-14.fc21.noarch
--> Running transaction check
---> Package hamcrest.noarch 0:1.3-8.fc21 will be installed
--> Processing Dependency: easymock3 for package: hamcrest-1.3-8.fc21.noarch
--> Running transaction check
---> Package easymock.noarch 0:3.2-3.fc21 will be installed
--> Processing Dependency: mvn(org.objenesis:objenesis) for package: easymock-3.2-3.fc21.noarch
--> Processing Dependency: mvn(net.sf.cglib:cglib) for package: easymock-3.2-3.fc21.noarch
--> Running transaction check
---> Package cglib.noarch 0:3.1-4.fc21 will be installed
---> Package objenesis.noarch 0:1.2-16.fc21 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================
 Package                                 Arch Version                            Repository          Size
==========================================================================================================
Installing:
 avro                                    noarch 1.7.5-9.fc21                      fedora            461 k
Installing for dependencies:
 aether-api                              noarch 1:1.0.0-3.fc21                    fedora            129 k
 aether-connector-basic                  noarch 1:1.0.0-3.fc21                    fedora             41 k
 aether-impl                             noarch 1:1.0.0-3.fc21                    fedora            166 k
 aether-spi                              noarch 1:1.0.0-3.fc21                    fedora             31 k
 aether-transport-wagon                  noarch 1:1.0.0-3.fc21                    fedora             30 k
 aether-util                             noarch 1:1.0.0-3.fc21                    fedora            132 k
 ant                                     noarch 1.9.4-3.fc21                      fedora            2.0 M
 aopalliance                             noarch 1.0-9.fc21                        fedora             12 k
 apache-commons-codec                    noarch 1.9-4.fc21                        fedora            228 k
 apache-commons-collections              noarch 3.2.1-20.fc21                     fedora            505 k
 apache-commons-compress                 noarch 1.8.1-2.fc21                      fedora            335 k
 apache-commons-io                       noarch 1:2.4-12.fc21                     fedora            180 k
 apache-commons-lang                     noarch 2.6-16.fc21                       fedora            277 k
 atinject                                noarch 1-17.20100611svn86.fc21           fedora             14 k
 bea-stax-api                            noarch 1.2.0-10.fc21                     fedora             32 k
 cdi-api                                 noarch 1.1-7.fc21                        updates-testing    63 k
 cglib                                   noarch 3.1-4.fc21                        fedora            261 k
 easymock                                noarch 3.2-3.fc21                        fedora            124 k
 geronimo-annotation                     noarch 1.0-16.fc21                       fedora             23 k
 glassfish-el-api                        noarch 3.0.0-4.fc21                      fedora             76 k
 google-guice                            noarch 3.2.2-1.fc21                      fedora            430 k
 guava                                   noarch 17.0-1.fc21                       fedora            1.9 M
 hamcrest                                noarch 1.3-8.fc21                        fedora            129 k
 httpcomponents-client                   noarch 4.3.5-1.fc21                      fedora            578 k
 httpcomponents-core                     noarch 4.3.2-3.fc21                      fedora            541 k
 jackson                                 noarch 1.9.11-4.fc21                     fedora            1.0 M
 jakarta-oro                             noarch 2.0.8-16.fc21                     fedora             82 k
 jboss-ejb-3.1-api                       noarch 1.0.2-11.fc21                     fedora             59 k
 jboss-interceptors-1.1-api              noarch 1.0.2-0.10.20120319git49a904.fc21 fedora             32 k
 joda-convert                            noarch 1.6-2.fc21                        fedora             93 k
 joda-time                               noarch 2.3-2.tzdata2013g.fc21            fedora            492 k
 jsoup                                   noarch 1.7.2-4.fc21                      fedora            274 k
 jsr-305                                 noarch 0-0.17.20130910svn.fc21           fedora             29 k
 jsr-311                                 noarch 1.1.1-9.fc21                      fedora             46 k
 junit                                   noarch 1:4.11-14.fc21                    fedora            260 k
 maven                                   noarch 3.2.2-1.fc21                      fedora            1.3 M
 maven-artifact                          noarch 2.2.1-49.fc21                     fedora             82 k
 maven-artifact-manager                  noarch 2.2.1-49.fc21                     fedora             76 k
 maven-file-management                   noarch 1:1.2.1-10.fc21                   fedora             40 k
 maven-model                             noarch 2.2.1-49.fc21                     fedora            122 k
 maven-plugin-registry                   noarch 2.2.1-49.fc21                     fedora             39 k
 maven-profile                           noarch 2.2.1-49.fc21                     fedora             44 k
 maven-project                           noarch 2.2.1-49.fc21                     fedora            157 k
 maven-settings                          noarch 2.2.1-49.fc21                     fedora             57 k
 maven-shared-io                         noarch 1:1.1-10.fc21                     fedora             43 k
 maven-wagon-file                        noarch 2.6-10.fc21                       fedora             24 k
 maven-wagon-http                        noarch 2.6-10.fc21                       fedora             42 k
 maven-wagon-http-shared                 noarch 2.6-10.fc21                       fedora             23 k
 maven-wagon-provider-api                noarch 2.6-10.fc21                       fedora             59 k
 objectweb-asm3                          noarch 3.3.1-10.fc21                     fedora            390 k
 objenesis                               noarch 1.2-16.fc21                       fedora             64 k
 paranamer                               noarch 2.4.1-9.fc21                      fedora             52 k
 plexus-cipher                           noarch 1.7-7.fc21                        fedora             23 k
 plexus-classworlds                      noarch 2.5.1-5.fc21                      fedora             56 k
 plexus-containers-component-annotations noarch 1.5.5-20.fc21                     fedora             16 k
 plexus-containers-container-default     noarch 1.5.5-20.fc21                     fedora            188 k
 plexus-interpolation                    noarch 1.15-9.fc21                       fedora             57 k
 plexus-sec-dispatcher                   noarch 1.4-16.fc21                       fedora             25 k
 plexus-utils                            noarch 3.0.16-3.fc21                     fedora            245 k
 qdox                                    noarch 1.12.1-10.fc21                    fedora            170 k
 sisu-inject                             noarch 1:0.2.1-6.fc21                    fedora            300 k
 sisu-plexus                             noarch 1:0.2.1-6.fc21                    fedora            182 k
 snappy-java                             noarch 1.0.5-2.fc21                      fedora             47 k
 stax2-api                               noarch 3.1.1-9.fc21                      fedora            165 k
 velocity                                noarch 1.7-16.fc21                       updates-testing   420 k
 xz-java                                 noarch 1.5-3.fc21                        fedora             93 k

Transaction Summary
==========================================================================================================
Install  1 Package (+66 Dependent packages)

Total download size: 15 M
Installed size: 19 M
Is this ok [y/d/N]:

Comment 1 Fedora Update System 2015-09-21 02:10:55 UTC
avro-1.7.5-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16274

Comment 2 Fedora Update System 2015-09-21 18:52:04 UTC
avro-1.7.5-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update avro'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16274

Comment 3 Fedora Update System 2015-10-04 19:16:05 UTC
avro-1.7.5-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.